LaraCopilot
LaraCopilot
API ReferenceEndpointsDeploymentCustom Domains

Add custom domain

Attaches a custom domain to a deployed project. DNS verification is handled by the provider after the domain is registered.

POST
/deployments/{providerId}/project/{projectId}/custom-domain
AuthorizationBearer <token>

In: header

Path Parameters

providerId*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://builder.laracopilot.com/api/v1/deployments/string/project/string/custom-domain" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}